[Python-modules-commits] r23835 - in packages/python-crypto/trunk/debian (8 files)
sramacher at users.alioth.debian.org
sramacher at users.alioth.debian.org
Thu Apr 4 11:55:50 UTC 2013
Date: Thursday, April 4, 2013 @ 11:55:48
Author: sramacher
Revision: 23835
Add DEP-8 tests
Added:
packages/python-crypto/trunk/debian/tests/
packages/python-crypto/trunk/debian/tests/control
packages/python-crypto/trunk/debian/tests/python2-all
packages/python-crypto/trunk/debian/tests/python2-all-dbg
packages/python-crypto/trunk/debian/tests/python3-all
packages/python-crypto/trunk/debian/tests/python3-all-dbg
Modified:
packages/python-crypto/trunk/debian/changelog
packages/python-crypto/trunk/debian/control
Modified: packages/python-crypto/trunk/debian/changelog
===================================================================
--- packages/python-crypto/trunk/debian/changelog 2013-04-04 11:42:58 UTC (rev 23834)
+++ packages/python-crypto/trunk/debian/changelog 2013-04-04 11:55:48 UTC (rev 23835)
@@ -11,6 +11,7 @@
hardening-no-fortify-functions false positives.
* debian/python{,3}-crypto.pydist: Help dh_python2 to translate pycrypto in
requirements.txt to the correct Debian package.
+ * debian/tests: Add DEP-8 tests.
-- Sebastian Ramacher <sramacher at debian.org> Wed, 03 Apr 2013 21:04:02 +0200
Modified: packages/python-crypto/trunk/debian/control
===================================================================
--- packages/python-crypto/trunk/debian/control 2013-04-04 11:42:58 UTC (rev 23834)
+++ packages/python-crypto/trunk/debian/control 2013-04-04 11:55:48 UTC (rev 23835)
@@ -19,6 +19,7 @@
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-crypto/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-crypto/trunk/
Homepage: http://www.pycrypto.org/
+XS-Testsuite: autopkgtest
Package: python-crypto
Architecture: any
Added: packages/python-crypto/trunk/debian/tests/control
===================================================================
--- packages/python-crypto/trunk/debian/tests/control (rev 0)
+++ packages/python-crypto/trunk/debian/tests/control 2013-04-04 11:55:48 UTC (rev 23835)
@@ -0,0 +1,11 @@
+Tests: python2-all
+Depends: python-all python-crypto
+
+Tests: python2-all-dbg
+Depends: python-all-dbg python-crypto-dbg
+
+Tests: python3-all
+Depends: python3-all python3-crypto
+
+Tests: python3-all-dbg
+Depends: python3-all-dbg python3-crypto-dbg
Added: packages/python-crypto/trunk/debian/tests/python2-all
===================================================================
--- packages/python-crypto/trunk/debian/tests/python2-all (rev 0)
+++ packages/python-crypto/trunk/debian/tests/python2-all 2013-04-04 11:55:48 UTC (rev 23835)
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e
+
+PYVERS=$(pyversions -vi)
+
+set -x
+for py in $PYVERS ; do
+ python$py -c "import Crypto.SelfTest; import sys; Crypto.SelfTest.run(stream=sys.stdout)"
+done
Added: packages/python-crypto/trunk/debian/tests/python2-all-dbg
===================================================================
--- packages/python-crypto/trunk/debian/tests/python2-all-dbg (rev 0)
+++ packages/python-crypto/trunk/debian/tests/python2-all-dbg 2013-04-04 11:55:48 UTC (rev 23835)
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e
+
+PYVERS=$(pyversions -vi)
+
+set -x
+for py in $PYVERS ; do
+ python$py-dbg -c "import Crypto.SelfTest; import sys; Crypto.SelfTest.run(stream=sys.stdout)"
+done
Added: packages/python-crypto/trunk/debian/tests/python3-all
===================================================================
--- packages/python-crypto/trunk/debian/tests/python3-all (rev 0)
+++ packages/python-crypto/trunk/debian/tests/python3-all 2013-04-04 11:55:48 UTC (rev 23835)
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e
+
+PYVERS=$(py3versions -vi)
+
+set -x
+for py in $PYVERS ; do
+ python$py -c "import Crypto.SelfTest; import sys; Crypto.SelfTest.run(stream=sys.stdout)"
+done
Added: packages/python-crypto/trunk/debian/tests/python3-all-dbg
===================================================================
--- packages/python-crypto/trunk/debian/tests/python3-all-dbg (rev 0)
+++ packages/python-crypto/trunk/debian/tests/python3-all-dbg 2013-04-04 11:55:48 UTC (rev 23835)
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e
+
+PYVERS=$(py3versions -vi)
+
+set -x
+for py in $PYVERS ; do
+ python$py-dbg -c "import Crypto.SelfTest; import sys; Crypto.SelfTest.run(stream=sys.stdout)"
+done
More information about the Python-modules-commits
mailing list